#ifndef __CLUSTER_PLOT_H__
#define __CLUSTER_PLOT_H__

#include <cairo.h>

#ifdef __cplusplus
extern "C" {
#include <cstdlib>
#else
#include <stdlib.h>
#endif

/**
 * Generate plot of clustering result.
 *
 * @arg @c part A hard assignment of points to clusters.  May be NULL.
 * @arg @c C Cluster centers to plot.
 */
void cluster_plot(cairo_surface_t *surf, double width, double height,
                  size_t ndims, size_t n, const double *p,
									size_t k, const int *part, const double *C);

void cluster_plot_clear(cairo_surface_t *surf);

#ifdef __cplusplus
}
#endif

#endif // #ifndef __CLUSTER_PLOT_H__
